//-----------Top Menu-----------
function main_SystemSetting_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-SystemSetting"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListSystemSettingHtml);
	Class.LoadHtml(ContentDivId, Global_DescriptionSystemSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_SystemSetting_click(this)");
	Class = new Description();
	Class.GetVersion();
	$("#Main_Center-Content").css("border-left-width", "1px");
	$("#Main_Center-Content").css("width", "795px");
	$("#Main_Left-List").show();

	Class = new Main();
	var DefaultAccount = Class.CheckDefaultAccount();
	if(DefaultAccount == true)
	{
		Class.DisableElement("Top-Menu-SystemSetting", "Left-List-AccountSetting");
	}
	Class = null;
}
function main_ModuleSetting_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-ModuleSetting"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListModuleSettingHtml);
	Class.LoadHtml(ContentDivId, Global_DescriptionModuleSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_ModuleSetting_click(this)");
	Class = null;
	$("#Main_Center-Content").css("border-left-width", "1px");
	$("#Main_Center-Content").css("width", "795px");
	$("#Main_Left-List").show();
}
function main_IotPlatformSetting_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-IotPlatformSetting"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListIotPlatformSettingHtml);
	Class.LoadHtml(ContentDivId, Global_DescriptionIotPlatformSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_IotPlatformSetting_click(this)");
	Class = null;
	$("#Main_Center-Content").css("border-left-width", "1px");
	$("#Main_Center-Content").css("width", "795px");
	$("#Main_Left-List").show();
}
function main_ConvertTransmission_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-ConvertTransmission"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListConvertSettingHtml);
	Class.LoadHtml(ContentDivId, Global_DescriptionConvertSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_ConvertTransmission_click(this)");
	Class = new MenuCommon();
	Class.RestorePageSize();
}
function main_AdvancedSetting_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-AdvancedSetting"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListAdvancedSettingHtml);
	Class.LoadHtml(ContentDivId, Global_DescriptionAdvancedSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_AdvancedSetting_click(this)");
	Class = new MenuCommon();
	Class.RestorePageSize();
}

function main_IOStatus_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-IOStatus"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListIOStatusHtml);
	Class.LoadHtml(ContentDivId, Global_ContentIOStatusHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_IOStatus_click(this)");
	Class = new IoStatusLeftPage();
	Class.Initialization();
	Class = new MenuCommon();
	Class.RestorePageSize();
}

function main_File_click(that)
{
	var LeftDivId="#Main_Left-List", TopDivId="#Main_Top-Menu", ContentDivId="#Main_Center-Content";
	var Class = new MenuCommon();
	Class.ChangeDivCss($("#Top-Menu-File"), TopDivId);
	Class.LoadHtml(LeftDivId, Global_LeftListFileSettingHtml);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 0, "main_File_click(this)");
	Class = new MenuCommon();
	Class.RestorePageSize();
	$("#Main_Left-List").children("div").eq(0).click();
}